
# DestinE utils

Collection of scripts to deploy, run and analyze the performance of the IFS-NEMO

## Requeriments

* Have MN5 transfer nodes in the ssh configuration of your laptop.
* Clone this repo in your local machine & MN5

## MN5 Deployment

Follow the instructions below to install the model. Remember that we need to
copy the sources to MN5 from your workstation and then submit the compilation.

1. Using your local machine, go to `installation/ifs-bundle` path.
2. Execute `clone_sources.sh`. You need to select the ifs-bundle repository 
with `--repo`.

> You can select the desired branch of the repo with --branch and a 
> bundle environment with --bundle-env.

3. By default, the name of the installation is the repo name followed by the 
branch name and the commit hash. You can select another name with `--name`.

4. Select the MN5 path to move the sources with `--mn5-dir`, using the
syntax: `mn5-transfer1:/your/desired/path`

5. A prompt will resume all the choices before submit the start of the process.

6. Open a terminal to MN5 login node and go to `installation/ifs-bundle`.

7. Once you have the sources in MN5, you can submit the compilation in two ways
using the same `compile-mn5-gpp.slurm` script. This script requires two 
positional arguments, first the root of your ifs-bundle (`--mn5-dir` parameter)
and second the arch (is optional, by default it uses 
the `arch/eurohpc/mn5-gpp/default`):

    ```bash
    # Interactive compilation
    bash compile-mn5-gpp.slurm /gpfs/projects/bsc32/DestinE/models/ifs-nemo/perfomance [arch file]
    # SLURM compilation 
    sbatch --qos <your_queue> compile-mn5-gpp.slurm /gpfs/projects/bsc32/DestinE/models/ifs-nemo/perfomance [arch file]
    ```
    
## Running


## Performance
